/*
*******************************************************************************
*  Copyright (c) 1996 Martin Poole                            *
*******************************************************************************
**
** WARNING !!  WARNING !! WARNING !! WARNING !! WARNING !! WARNING !!
**
** Any changes to be made to this file should first be checked with
** mplib1 source control for library integrity.
**
** mplib1 source control can be reached at  mplib1@quatermass.co.uk
** 
*
*  $Source$
*  $Author$
*  $Date$
*  $Revision$
*
*******************************************************************************
*
* Change History
*
* $Log$
*
*******************************************************************************
*/

#ident "$Header$"

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <stdio.h>
#include <sys/time.h>
#include <unistd.h>
#include <string.h>
#include <signal.h>

#include <mplib1/mplib1_config.h>

#include <mplib1/bpo_lock.h>

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

#ifndef BPO_LOCK_NAP_USEC
#define BPO_LOCK_NAP_USEC	5000
#endif

/* ------------------------------------------------------------------
    Code starts here
   ------------------------------------------------------------------ */

int
bpo_nap_a_while( long secs, long usecs )
{
    struct timeval my_nap;

    my_nap.tv_sec = secs;
    my_nap.tv_usec = usecs;

    return (select( 0, NULL, NULL, NULL, &my_nap ));

}

int
bpo_take_a_nap( void )
{
    return(bpo_nap_a_while( 0, BPO_LOCK_NAP_USEC ));
}


/* -- End of File -- */
