/*
*******************************************************************************
*  Copyright (c) 1997 Martin Poole                            *
*******************************************************************************
**
** WARNING !!  WARNING !! WARNING !! WARNING !! WARNING !! WARNING !!
**
** Any changes to be made to this file should first be checked with
** mplib1 source control for library integrity.
**
** mplib1 source control can be reached at  mplib1@quatermass.co.uk
** 
*
*  $Source$
*  $Author$
*  $Date$
*  $Revision$
*
*******************************************************************************
*
* Change History
*
* $Log$
*
*******************************************************************************
*/

#ident "$Header$"

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <stdio.h>
#include <mplib1/build_argv.h>
#include <mplib1/mpbasename.h>

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

/* ------------------------------------------------------------------
    Code starts here
   ------------------------------------------------------------------ */

static void
use_argv( int argc, char *argv[] )
{
    int t;
    t=0;
    while (t<argc)
    {
	printf("argv[%d]=%s\n",t,argv[t]);
	t++;
    }
    return;
}

int
main( int argc, char *argv[] )
{
    struct argv_track *argvtp;

    argvtp = build_argv_track( NULL, mpbasename(argv[0]), argv[1], NULL );
    fflush(stdout);
    use_argv( argvtp->argc, argvtp->argv );

    free_argv_track( argvtp );

    return(0);
}

/* -- End of File -- */
